Subject: Re: [PATCH net-next RFC WIP] Patch for XDP support for virtio_net

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 26 Oct 2016 19:36:45 +0300

On Wed, Oct 26, 2016 at 03:52:02PM +0200, Jesper Dangaard Brouer wrote:
> On Sat, 22 Oct 2016 04:07:23 +0000
> Shrijeet Mukherjee <[email-masked]> wrote:
> 
> > This patch adds support for xdp ndo and also inserts the xdp program
> > call into the merged RX buffers and big buffers paths
> 
> I really appreciate you are doing this for virtio_net.
> 
> My first question is: Is the (packet) page data writable?
> (MST might be able to answer?)
> 
> As this is currently an XDP requirement[1].  

I'm not sure I understand what does writable mean.
Could you explain a bit more pls?
We do copy data into skb ATM but I plan to change that.

> 
> > * The small packet skb receive is skipped for now
> > * No TX for now
> 
> I do see more and more valid use-cases for only implementing XDP_DROP
> and not necessarily also implementing XDP_TX.  This does requires that
> we implement some kind of feature/capabilities negotiation mechanism[2].
> 
> 
> [1] https://prototype-kernel.readthedocs.io/en/latest/networking/XDP/design/requirements.html#write-access-to-packet-data
> 
> [2] https://prototype-kernel.readthedocs.io/en/latest/networking/XDP/design/design.html#capabilities-negotiation
> 
> -- 
> Best regards,
>   Jesper Dangaard Brouer
>   MSc.CS, Principal Kernel Engineer at Red Hat
>   Author of http://www.iptv-analyzer.org
>   LinkedIn: http://www.linkedin.com/in/brouer